Skip to main content
POST
Regenerate workspace API key

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Body

application/json
key_type
enum<string>
default:live

Which key type to regenerate ('live' or 'test'). Defaults to 'live'. Regenerating one type does not expire or affect the other.

Available options:
live,
test

Response

API key regenerated successfully

new_key
object

The newly generated API key

key_type
enum<string>

The key type that was regenerated

Available options:
live,
test
expiring_keys
object[]

List of keys that were set to expire in 24 hours

workspace_id
string<uuid>